/*
  IntelĂ̂𒼂vO Ver.1.00b
*/
#ifndef _LSB_FIRST_H_
#define _LSB_FIRST_H_

#ifdef _WIN32
/* WIN32 */
typedef _int64		INT64;
#else
typedef long long	INT64;
#endif

union lsb_first_short
{
  char data8[2];
  short data16;
};

union lsb_first_long
{
  char data8[4];
  short data16[2];
  long data32;
};

union lsb_first_long_long
{
  char data8[8];
  short data16[4];
  long data32[2];
  INT64 data64;
};

int is_lsb_first(void);
void change_lsb_first_16(void *data);	// short
void change_lsb_first_32(void *data);	// long
void change_lsb_first_64(void *data);	// INT64

#endif
// _LSB_FIRST_H_
